Package org.globus.tools

# Class ChangePassPhrase

java.lang.Object
org.globus.tools.ChangePassPhrase

public class ChangePassPhrase extends Object
Changes the Passphrase.

     Syntax: java ChangePassPhrase [-help] [-version] [-file private_key_file]
     Changes the passphrase that protects the private key. If the -file
     argument is not given, the default location of the file containing
     the private key is assumed:
       --  Config.getUserKeyFile()
     Options
       -help, -usage                Display usage
       -version                     Display version
       -file location               Change passphrase on key stored in the
                                    file at the non-standard
                                    location 'location';

## Constructor Summary

Constructors
Constructor
Description
`ChangePassPhrase()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`main(String[] args)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ChangePassPhrase

public ChangePassPhrase()

## Method Details

### main

public static void main(String[] args)